PropertyMessageResourcesFactory (Apache Struts API Documentation)
Keywords: org.apache.struts.util.PropertyMessageResourcesFactory,PropertyMessageResourcesFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class PropertyMessageResourcesFactory

    java.lang.Object
      |
      +--org.apache.struts.util.MessageResourcesFactory
            |
            +--org.apache.struts.util.PropertyMessageResourcesFactory

All Implemented Interfaces:
  java.io.Serializable

public class PropertyMessageResourcesFactory
extends MessageResourcesFactory

Factory for `PropertyMessageResources` instances. The configuration paramter for such instances is the base Java package name of the resources entries from which our keys and values will be loaded.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:43:31 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.util.MessageResourcesFactory
`clazz, factoryClass, returnNull`

Constructor Summary
`PropertyMessageResourcesFactory()`

Method Summary
`MessageResources` | `createResources(java.lang.String config)` Create and return a newly instansiated `MessageResources`.

Methods inherited from class org.apache.struts.util.MessageResourcesFactory
`createFactory, getFactoryClass, getReturnNull, setFactoryClass, setReturnNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyMessageResourcesFactory

    public PropertyMessageResourcesFactory()

Method Detail

### createResources

    public MessageResources createResources(java.lang.String config)

  Create and return a newly instansiated `MessageResources`. This method must be implemented by concrete subclasses.

  Specified by:
    `createResources` in class `MessageResourcesFactory`
  Parameters:
    `config` - Configuration parameter(s) for the requested bundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation